Bug 1784983 - rdma-core is missing dependency on libibverbs-utils
Summary: rdma-core is missing dependency on libibverbs-utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rdma-core
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Honggang LI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-18 20:35 UTC by Wainer dos Santos Moschetta
Modified: 2020-01-31 02:00 UTC (History)
3 users (show)

Fixed In Version: rdma-core-20.1-6.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:00:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Wainer dos Santos Moschetta 2019-12-18 20:35:12 UTC
Description of problem: The rxe_cfg script attempts to run the ibv_devinfo command which is provided by libibverbs-utils. The rdma-core package does not pull in libibverbs-utils on installation, resulting on the error below.

Package: rdma-core-20.1-5.fc31.x86_64

Steps to Reproduce:
1. Install rdma-core package
2. Ensure libibverbs-utils is not installed
3. Run `sudo rxe_cfg add ethN` where ethN is any system's Ethernet device
4. Run `sudo rxe_cfg`

Actual results:

$ sudo rxe_cfg 
Can't exec "ibv_devinfo": No such file or directory at /usr/bin/rxe_cfg line 215.
  Name  Link  Driver  Speed  NMTU  IPv4_addr       RDEV  RMTU  
  ens3  yes   8139cp         1500  192.168.122.13  rxe0  (?)

Expected results:
$ sudo rxe_cfg  
  Name  Link  Driver  Speed  NMTU  IPv4_addr       RDEV  RMTU          
  ens3  yes   8139cp         1500  192.168.122.13  rxe0  1024  (3)

Additional info:

Comment 1 Honggang LI 2019-12-23 01:29:52 UTC
https://github.com/linux-rdma/rdma-core/pull/640/commits/48e10faebeac954015fcd57c3189be2e6c6a6379

Submit this patch to upstream for review. I will backport it for fedora after upstream merge it.

Comment 2 Honggang LI 2020-01-19 13:04:09 UTC
Upstream will replace rxe_cfg with iproute2. So, this issue will not be fixed in upstream.
I have to apply a fedora specific workaround for this issue.

Comment 3 Fedora Update System 2020-01-19 13:11:51 UTC
FEDORA-2020-dc2836b3cb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc2836b3cb

Comment 4 Fedora Update System 2020-01-20 23:33:08 UTC
rdma-core-20.1-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc2836b3cb

Comment 5 Fedora Update System 2020-01-31 02:00:48 UTC
rdma-core-20.1-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.